<?php

// specific values for my homemade plotter RS232 Alfi (2019)
//
// stty -F /dev/ttyS0 9600 cs8 clocal cread -cstopb -parenb parodd -echo crtscts raw
//
// paper size A4
// 
// 816x860dpi
// size of usable area 6450 x 9000 steps (200,8 x 265.8mm)
// x axis - one step 0,0311274509804mm (cca 0.03mm)
// y axis - one step 0,0295348837209 (cca 0.03mm)
//
// recomended margin 0.5cm -> width of printable area is optimal around 190mm (1cm magin to the border of paper)
//
// optimum for monospace characters?
//	width	78*80 = 6400
//	height	140*61 = 8540
//
// coordinate [0,0] is at bottom left corner


define ("CFG_CHARW", 18);		// character width	18*80*4 = 5760 (usefull only for monospace font)
define ("CFG_LINEH", 36);		// line height		36*60*4 = 8640 (bigger than CFG_PAPERH = less lines)

define ("CFG_MARGIN_LEFT", 256);	// left margin in plotter steps (roughly +0.8cm to the physical limits)
define ("CFG_MARGIN_BOTTOM", 64);	// bottom margin in plotter steps (for long characters - mostly in scriptc font)
					// roughly 32 steps per 1mm

define ("CFG_PAPERW", 5640);		// width of printable area
define ("CFG_PAPERH", 8540);		// height of printable area - must be less than 9000 minus scale * line heigh

define ("CFG_SCALE", 4);		// how many plotter steps per one step defined in font (default 4)

?>
